REST NAMESPACE ONLY
REST namespace passes with_table_uri, load_detailed_metadata, and check_declared as query parameters instead of in the request body.
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
id
string
required
string identifier of an object in a namespace, following the Lance Namespace spec.
When the value is equal to the delimiter, it represents the root namespace.
For example, v1/namespace/$/list performs a ListNamespace on the root namespace.
Query Parameters
delimiter
string
An optional delimiter of the string identifier, following the Lance Namespace spec.
When not specified, the $ delimiter must be used.
with_table_uri
boolean
default:false
Whether to include the table URI in the response
load_detailed_metadata
boolean
default:false
Whether to load detailed metadata that requires opening the dataset.
When false (default), only location is required in the response.
When true, the response includes additional metadata such as version, schema, and stats.
check_declared
boolean
default:false
Whether to check if the table exists only as a namespace declaration
without storage data. When false (default), the response should return
null for is_only_declared unless another option such as
load_detailed_metadata requires the check.
Body
application/json
identity
object
Identity information of a request.
Show child attributes
context
object
Arbitrary context as key-value pairs.
How to use the context is custom to the specific implementation.
On a request, it carries caller-provided context to the implementation.
On a response, it carries implementation-provided context back to the caller.
REST NAMESPACE ONLY
Context entries are mapped to and from HTTP headers using the header. prefix:
On a request, any entry whose key starts with header. is sent as an HTTP
request header with the prefix stripped. For example, the entry
{"header.Authorization": "Bearer abc"} is sent as the request header
Authorization: Bearer abc.
On a response, every HTTP response header is returned as an entry whose key is the
header name prefixed with header.. For example, the response header
x-request-id: abc123 is returned as the entry {"header.x-request-id": "abc123"}.
Show child attributes
id
string[]
version
integer<int64>
Version of the table to describe.
If not specified, server should resolve it to the latest version.
Required range: x >= 0
tag
string
Tag name to describe the table at.
If specified, the server should resolve the tag to a version number and describe that version.
Cannot be used together with version or branch.
branch
string
Branch to target. When not specified, the main branch is used.
with_table_uri
boolean
default:false
Whether to include the table URI in the response.
Default is false.
load_detailed_metadata
boolean
Whether to load detailed metadata that requires opening the dataset.
When true, the response must include all detailed metadata such as version, schema, and stats
which require reading the dataset.
When not set, the implementation can decide whether to return detailed metadata
and which parts of detailed metadata to return.
check_declared
boolean
default:false
Whether to check if the table exists only as a namespace declaration
without storage data. Default is false.
When true, the response should populate is_only_declared.
When false, the implementation should return null for is_only_declared
unless another option such as load_detailed_metadata requires
checking declared-only table state.
vend_credentials
boolean
Whether to include vended credentials in the response storage_options.
When true, the implementation should provide vended credentials for accessing storage.
When not set, the implementation can decide whether to return vended credentials.
Response
Table properties result when loading a table
context
object
Arbitrary context as key-value pairs.
How to use the context is custom to the specific implementation.
On a request, it carries caller-provided context to the implementation.
On a response, it carries implementation-provided context back to the caller.
REST NAMESPACE ONLY
Context entries are mapped to and from HTTP headers using the header. prefix:
On a request, any entry whose key starts with header. is sent as an HTTP
request header with the prefix stripped. For example, the entry
{"header.Authorization": "Bearer abc"} is sent as the request header
Authorization: Bearer abc.
On a response, every HTTP response header is returned as an entry whose key is the
header name prefixed with header.. For example, the response header
x-request-id: abc123 is returned as the entry {"header.x-request-id": "abc123"}.
Show child attributes
table
string
Table name.
Only populated when load_detailed_metadata is true.
namespace
string[]
The namespace identifier as a list of parts.
Only populated when load_detailed_metadata is true.
version
integer<int64>
Table version number.
Only populated when load_detailed_metadata is true.
Required range: x >= 0
location
string
Table storage location (e.g., S3/GCS path).
table_uri
string
Table URI. Unlike location, this field must be a complete and valid URI.
Only returned when with_table_uri is true.
schema
object
Table schema in JSON Arrow format.
Only populated when load_detailed_metadata is true.
Show child attributes
storage_options
object
Configuration options to be used to access storage. The available
options depend on the type of storage in use. These will be
passed directly to Lance to initialize storage access.
When vend_credentials is true, this field may include vended credentials.
If the vended credentials are temporary, the expires_at_millis key should be
included to indicate the millisecond timestamp when the credentials expire.
Show child attributes
stats
object | null
Table statistics.
Only populated when load_detailed_metadata is true.
Show child attributes
metadata
object
Optional table metadata as key-value pairs. This records the information of the table
and requires loading the table.
It is only populated when load_detailed_metadata is true.
Show child attributes
properties
object | null
Properties stored on the table, if supported by the server. This records the information managed by the namespace. If the server does not support table properties, it should return null for this field. If table properties are supported, but none are set, it should return an empty object.
Show child attributes
Example:
{
"owner": "Ralph",
"created_at": "1452120468"
}
managed_versioning
boolean
When true, the caller should use namespace table version operations
(CreateTableVersion, BatchCreateTableVersions, DescribeTableVersion, ListTableVersions, BatchDeleteTableVersions)
to manage table versions instead of relying on Lance's native version management.
is_only_declared
boolean | null
When true, indicates that the table has been declared in the namespace
but not yet created on storage. This means the table exists in the
namespace but has no data files on the underlying storage.
When false, the table has storage components (data and metadata files).
When null, the implementation did not check whether the table is only
declared. Clients should treat an omitted value as null. Implementations
should populate this field when check_declared is true or another
option such as load_detailed_metadata requires checking declared-only
table state. Operations like describe_table with load_detailed_metadata=true
may fail for declared-only tables.
Was this page helpful?
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"LanceDB","colors":{"primary":"#FF6B35","light":"#FF8A5C","dark":"#E55A2B"},"logo":{"light":"https://mintcdn.com/lancedb-bcbb4faf/6L0IRVkfdlgMU1Pw/static/assets/logo/dark-lancedb-logo.svg?fit=max\u0026auto=format\u0026n=6L0IRVkfdlgMU1Pw\u0026q=85\u0026s=d0592e59a29df2477080a857e13e341f","dark":"https://mintcdn.com/lancedb-bcbb4faf/t0AGunBr6LulGkIJ/static/assets/logo/light-lancedb-logo.svg?fit=max\u0026auto=format\u0026n=t0AGunBr6LulGkIJ\u0026q=85\u0026s=9b508fcb8d83cbc9bd05e57227d739e9","href":"https://lancedb.com"},"favicon":"https://mintcdn.com/lancedb-bcbb4faf/0sS6vrpmM3KSVyss/static/favicon.ico?fit=max\u0026auto=format\u0026n=0sS6vrpmM3KSVyss\u0026q=85\u0026s=84b9ea3dfc312b7a4dfc99219e229b33","appearance":{"strict":false},"background":{"color":{"light":"#FAF5F0","dark":"#000000"}},"navbar":{"links":[{"href":"https://www.lancedb.com/contact","label":"Support"}]},"footer":{"socials":{"github":"https://github.com/lancedb","linkedin":"https://www.linkedin.com/company/lancedb","x":"https://x.com/lancedb","discord":"https://discord.gg/AUEWnJ7Txb"},"links":[{"items":[{"label":"Cookie settings","href":"#cookie-settings"}]}]},"fonts":{"family":"Inter"},"styling":{"codeblocks":{"theme":{"light":"vitesse-light","dark":"catppuccin-mocha"}},"latex":true},"integrations":{"ga4":{"measurementId":"G-1TMC2PR69E"}},"banner":{"content":"[AI research has outgrown the modern data stack. We raised $57.5M to rebuild it. Read our Series B story →](https://www.lancedb.com/blog/lancedb-series-b-funding?utm_campaign=series-b-funding\u0026utm_content=docs\u0026utm_medium=lancedb\u0026utm_source=banner)","dismissible":true},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"lancedb-bcbb4faf","hasAudioNarration":false,"actualSubdomain":"lancedb-bcbb4faf","customDomains":["docs.lancedb.com"],"gitSource":{"type":"github","owner":"lancedb","repo":"docs","deployBranch":"assembled","contentDirectory":"docs","isPrivate":true,"mountPath":"","label":"","_id":"6af512fe0902081a53d8698c"},"feedback":{"thumbs":true,"edits":false,"issues":false},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6b008022286e5a483262aeff","clientVersion":"0.0.4227","searchFilterCounts":[{"language":"default","tag":"Documentation","count":366},{"language":"default","tag":"Enterprise","count":343},{"language":"default","tag":"Embedded","count":340},{"language":"default","tag":"API Reference","count":113},{"language":"default","tag":"REST API","count":110},{"language":"default","tag":"Feature Engineering","count":90},{"language":"default","tag":"Table","count":88},{"language":"default","tag":"Integrations","count":84},{"language":"default","tag":"SQL Reference","count":80},{"language":"default","tag":"Geneva","count":68}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"site-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"starter-pricing","enabled":true,"variant":{"name":"control","enabled":true,"payload":{"type":"string","value":"control"},"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"wildcard-email-auth","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"static/styles/style.css","content":":root{--banner-left: #e4d8f8;--banner-right: #e55a2b}@font-face{font-family:\"LanceDB KaTeX AMS\";src:url(\"https://cdn.jsdelivr.net/npm/katex@0.16.0/dist/fonts/KaTeX_AMS-Regular.woff2\") format(\"woff2\");font-display:swap;font-style:normal;font-weight:400}.katex .mathbb,.katex .textbb{font-family:\"LanceDB KaTeX AMS\", \"KaTeX_AMS\", serif!important}#banner,:where(.banner,[data-banner],[class*=\"Banner_banner\"]){background:linear-gradient(90deg, var(--banner-left) 0%, var(--banner-right) 100%)!important;color:#1b0f09!important;border:none!important}#banner a,:where(.banner,[data-banner],[class*=\"Banner_banner\"]) a{color:#1b0f09!important;font-size:0.9rem;font-weight:500;text-decoration-color:rgba(27, 15, 9, 0.35)}#banner button,:where(.banner,[data-banner],[class*=\"Banner_banner\"]) button{color:#1b0f09!important}"}]}
{"page":{"pagePath":"enterprise/v1-13-0/api-reference/rest/table/describe-information-of-a-table","slug":"/enterprise/v1-13-0/api-reference/rest/table/describe-information-of-a-table","pageMetadata":{"title":"Describe information of a table","description":"Describe the detailed information for table `id`.\n\nREST NAMESPACE ONLY\nREST namespace passes `with_table_uri`, `load_detailed_metadata`, and `check_declared` as query parameters instead of in the request body.\n","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/describe","href":"/enterprise/v1-13-0/api-reference/rest/table/describe-information-of-a-table","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {Fragment: _Fragment, jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n code: \"code\",\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_Fragment, {\n children: [_jsxs(_components.p, {\n children: [\"Describe the detailed information for table \", _jsx(_components.code, {\n children: \"id\"\n }), \".\"]\n }), \"\\n\", _jsxs(_components.p, {\n children: [\"REST NAMESPACE ONLY\\nREST namespace passes \", _jsx(_components.code, {\n children: \"with_table_uri\"\n }), \", \", _jsx(_components.code, {\n children: \"load_detailed_metadata\"\n }), \", and \", _jsx(_components.code, {\n children: \"check_declared\"\n }), \" as query parameters instead of in the request body.\"]\n })]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"codeStyling":{"theme":{"light":"vitesse-light","dark":"catppuccin-mocha"}},"config":{},"pageMetadata":{"title":"Describe information of a table","description":"Describe the detailed information for table `id`.\n\nREST NAMESPACE ONLY\nREST namespace passes `with_table_uri`, `load_detailed_metadata`, and `check_declared` as query parameters instead of in the request body.\n","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/describe","href":"/enterprise/v1-13-0/api-reference/rest/table/describe-information-of-a-table","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/lancedb-bcbb4faf/17e8f66511a11582/static/scripts/cookie-consent.js"],"openApiReferenceData":{"operation":{"tags":["Table","Metadata"],"summary":"Describe information of a table","operationId":"DescribeTable","description":"Describe the detailed information for table `id`.\n\nREST NAMESPACE ONLY\nREST namespace passes `with_table_uri`, `load_detailed_metadata`, and `check_declared` as query parameters instead of in the request body.\n","requestBody":"92594af3-2e2e-475c-825b-2548ee2dcaeb","responses":{"200":"4c8db6ab-5883-4960-b23c-7d0c87501323","400":"57757554-6dd6-48d6-a1e9-af5bc27566c2","401":"cf731806-6c9d-4c52-a97b-a26609bc48b1","403":"0826a147-81ac-46dd-82d1-8b1351e8bfbc","404":"4ab6126e-052f-419c-a967-d34c74de96a1","503":"ba9d0153-2b07-43df-8a49-d85f699256b3","5XX":"467bdca4-0ca7-4fb4-bcec-7d2820a8aac0"},"method":"post","type":"path","servers":["a40665d1-8e67-4bdb-8175-f346b1fd5a7a","d7a67d71-70ea-46ed-bd7b-708a784bdb59","77b3bc50-020e-4478-93ea-269de6291b3d"],"security":["cab77f0f-a296-40e5-bb38-892775181914","4ef373e9-0a2b-4417-a4c5-e4009c27bf28","4e9cdb19-4cb2-4dae-8785-b73fa8569e8a"],"path":"/v1/table/{id}/describe","baseUrlOptions":["http://localhost:2333","{scheme}://{host}:{port}/{basePath}","{scheme}://{host}/{basePath}"],"title":"Describe information of a table","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"930d35c7-9369-4bb9-83e0-8a5540f61dab":{"name":"id","description":"`string identifier` of an object in a namespace, following the Lance Namespace spec.\nWhen the value is equal to the delimiter, it represents the root namespace.\nFor example, `v1/namespace/$/list` performs a `ListNamespace` on the root namespace.\n","in":"path","required":true,"schema":{"type":"string","isRequired":true,"description":"`string identifier` of an object in a namespace, following the Lance Namespace spec.\nWhen the value is equal to the delimiter, it represents the root namespace.\nFor example, `v1/namespace/$/list` performs a `ListNamespace` on the root namespace.\n","uniqueKey":"","typeLabel":"string"}},"a147bfff-7109-4b9a-bce2-82fd530967de":{"name":"delimiter","description":"An optional delimiter of the `string identifier`, following the Lance Namespace spec.\nWhen not specified, the `$` delimiter must be used.\n","in":"query","required":false,"schema":{"type":"string","isRequired":false,"description":"An optional delimiter of the `string identifier`, following the Lance Namespace spec.\nWhen not specified, the `$` delimiter must be used.\n","uniqueKey":"","typeLabel":"string"}},"52c6953a-1aa4-42a1-a8c2-3fb57d02bc68":{"name":"with_table_uri","description":"Whether to include the table URI in the response","in":"query","required":false,"schema":{"type":"boolean","default":false,"isRequired":false,"description":"Whether to include the table URI in the response","uniqueKey":"","typeLabel":"boolean"}},"af367f72-e893-403d-9142-973295614b50":{"name":"load_detailed_metadata","description":"Whether to load detailed metadata that requires opening the dataset.\nWhen false (default), only `location` is required in the response.\nWhen true, the response includes additional metadata such as `version`, `schema`, and `stats`.\n","in":"query","required":false,"schema":{"type":"boolean","default":false,"isRequired":false,"description":"Whether to load detailed metadata that requires opening the dataset.\nWhen false (default), only `location` is required in the response.\nWhen true, the response includes additional metadata such as `version`, `schema`, and `stats`.\n","uniqueKey":"","typeLabel":"boolean"}},"18f78b9a-132d-49b6-a99f-c8dd0d5c1a2d":{"name":"check_declared","description":"Whether to check if the table exists only as a namespace declaration\nwithout storage data. When false (default), the response should return\nnull for `is_only_declared` unless another option such as\n`load_detailed_metadata` requires the check.\n","in":"query","required":false,"schema":{"type":"boolean","default":false,"isRequired":false,"description":"Whether to check if the table exists only as a namespace declaration\nwithout storage data. When false (default), the response should return\nnull for `is_only_declared` unless another option such as\n`load_detailed_metadata` requires the check.\n","uniqueKey":"","typeLabel":"boolean"}}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"identity":{"type":"object","description":"Identity information of a request.\n","properties":{"api_key":{"type":"string","description":"API key for authentication.\n\nREST NAMESPACE ONLY\nThis is passed via the `x-api-key` header.\n","uniqueKey":"identity.api_key","typeLabel":"string"},"auth_token":{"type":"string","description":"Bearer token for authentication.\n\nREST NAMESPACE ONLY\nThis is passed via the `Authorization` header\nwith the Bearer scheme (e.g., `Bearer \u003ctoken>`).\n","uniqueKey":"identity.auth_token","typeLabel":"string"}},"uniqueKey":"identity","typeLabel":"object"},"context":{"type":"object","description":"Arbitrary context as key-value pairs.\nHow to use the context is custom to the specific implementation.\n\nOn a request, it carries caller-provided context to the implementation.\nOn a response, it carries implementation-provided context back to the caller.\n\nREST NAMESPACE ONLY\nContext entries are mapped to and from HTTP headers using the `header.` prefix:\n- On a request, any entry whose key starts with `header.` is sent as an HTTP\n request header with the prefix stripped. For example, the entry\n `{\"header.Authorization\": \"Bearer abc\"}` is sent as the request header\n `Authorization: Bearer abc`.\n- On a response, every HTTP response header is returned as an entry whose key is the\n header name prefixed with `header.`. For example, the response header\n `x-request-id: abc123` is returned as the entry `{\"header.x-request-id\": \"abc123\"}`.\n","additionalProperties":{"type":"string","uniqueKey":"context.additionalProperties","typeLabel":"string"},"uniqueKey":"context","typeLabel":"object"},"id":{"type":"array","items":{"type":"string","uniqueKey":"id.items.[INDEX]","typeLabel":"string"},"uniqueKey":"id","typeLabel":"string[]"},"version":{"description":"Version of the table to describe.\nIf not specified, server should resolve it to the latest version.\n","type":"integer","format":"int64","minimum":0,"uniqueKey":"version","typeLabel":"integer\u003cint64>"},"tag":{"description":"Tag name to describe the table at.\nIf specified, the server should resolve the tag to a version number and describe that version.\nCannot be used together with `version` or `branch`.\n","type":"string","uniqueKey":"tag","typeLabel":"string"},"branch":{"type":"string","description":"Branch to target. When not specified, the main branch is used.\n","uniqueKey":"branch","typeLabel":"string"},"with_table_uri":{"description":"Whether to include the table URI in the response.\nDefault is false.\n","type":"boolean","default":false,"uniqueKey":"with_table_uri","typeLabel":"boolean"},"load_detailed_metadata":{"description":"Whether to load detailed metadata that requires opening the dataset.\nWhen true, the response must include all detailed metadata such as `version`, `schema`, and `stats`\nwhich require reading the dataset.\nWhen not set, the implementation can decide whether to return detailed metadata\nand which parts of detailed metadata to return.\n","type":"boolean","uniqueKey":"load_detailed_metadata","typeLabel":"boolean"},"check_declared":{"description":"Whether to check if the table exists only as a namespace declaration\nwithout storage data. Default is false.\nWhen true, the response should populate `is_only_declared`.\nWhen false, the implementation should return null for `is_only_declared`\nunless another option such as `load_detailed_metadata` requires\nchecking declared-only table state.\n","type":"boolean","default":false,"uniqueKey":"check_declared","typeLabel":"boolean"},"vend_credentials":{"description":"Whether to include vended credentials in the response `storage_options`.\nWhen true, the implementation should provide vended credentials for accessing storage.\nWhen not set, the implementation can decide whether to return vended credentials.\n","type":"boolean","uniqueKey":"vend_credentials","typeLabel":"boolean"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"identity":{"api_key":"\u003cstring>","auth_token":"\u003cstring>"},"context":{},"id":["\u003cstring>"],"version":1,"tag":"\u003cstring>","branch":"\u003cstring>","with_table_uri":false,"load_detailed_metadata":true,"check_declared":false,"vend_credentials":true}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"4c8db6ab-5883-4960-b23c-7d0c87501323":{"description":"Table properties result when loading a table","content":{"application/json":{"schema":{"type":"object","properties":{"context":{"type":"object","description":"Arbitrary context as key-value pairs.\nHow to use the context is custom to the specific implementation.\n\nOn a request, it carries caller-provided context to the implementation.\nOn a response, it carries implementation-provided context back to the caller.\n\nREST NAMESPACE ONLY\nContext entries are mapped to and from HTTP headers using the `header.` prefix:\n- On a request, any entry whose key starts with `header.` is sent as an HTTP\n request header with the prefix stripped. For example, the entry\n `{\"header.Authorization\": \"Bearer abc\"}` is sent as the request header\n `Authorization: Bearer abc`.\n- On a response, every HTTP response header is returned as an entry whose key is the\n header name prefixed with `header.`. For example, the response header\n `x-request-id: abc123` is returned as the entry `{\"header.x-request-id\": \"abc123\"}`.\n","additionalProperties":{"type":"string","uniqueKey":"context.additionalProperties","typeLabel":"string"},"uniqueKey":"context","typeLabel":"object"},"table":{"type":"string","description":"Table name.\nOnly populated when `load_detailed_metadata` is true.\n","uniqueKey":"table","typeLabel":"string"},"namespace":{"type":"array","items":{"type":"string","uniqueKey":"namespace.items.[INDEX]","typeLabel":"string"},"description":"The namespace identifier as a list of parts.\nOnly populated when `load_detailed_metadata` is true.\n","uniqueKey":"namespace","typeLabel":"string[]"},"version":{"type":"integer","format":"int64","minimum":0,"description":"Table version number.\nOnly populated when `load_detailed_metadata` is true.\n","uniqueKey":"version","typeLabel":"integer\u003cint64>"},"location":{"type":"string","description":"Table storage location (e.g., S3/GCS path).\n","uniqueKey":"location","typeLabel":"string"},"table_uri":{"type":"string","description":"Table URI. Unlike location, this field must be a complete and valid URI.\nOnly returned when `with_table_uri` is true.\n","uniqueKey":"table_uri","typeLabel":"string"},"schema":{"type":"object","description":"Table schema in JSON Arrow format.\nOnly populated when `load_detailed_metadata` is true.\n","required":["fields"],"properties":{"fields":{"type":"array","items":{"type":"object","description":"JSON representation of an Apache Arrow field.\n","required":["name","type","nullable"],"properties":{"name":{"type":"string","isRequired":true,"uniqueKey":"schema.fields.items.[INDEX].name","typeLabel":"string"},"nullable":{"type":"boolean","isRequired":true,"uniqueKey":"schema.fields.items.[INDEX].nullable","typeLabel":"boolean"},"type":{"type":"object","description":"JSON representation of an Apache Arrow DataType","required":["type"],"properties":{"type":{"type":"string","description":"The data type name","isRequired":true,"uniqueKey":"schema.fields.items.[INDEX].type.type","typeLabel":"string"},"fields":{"type":"array","items":{"$circularRef":"7d381df9-1850-4878-b563-b3118a77bc98"},"description":"Fields for complex types like Struct, Union, etc.","uniqueKey":"schema.fields.items.[INDEX].type.fields","typeLabel":"array"},"length":{"type":"integer","format":"int64","description":"Length for fixed-size types","minimum":0,"uniqueKey":"schema.fields.items.[INDEX].type.length","typeLabel":"integer\u003cint64>"}},"isRequired":true,"uniqueKey":"schema.fields.items.[INDEX].type","typeLabel":"object"},"metadata":{"type":"object","additionalProperties":{"type":"string","uniqueKey":"schema.fields.items.[INDEX].metadata.additionalProperties","typeLabel":"string"},"propertyNames":{"type":"string"},"uniqueKey":"schema.fields.items.[INDEX].metadata","typeLabel":"object"}},"uniqueKey":"schema.fields.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"schema.fields","typeLabel":"object[]"},"metadata":{"type":"object","additionalProperties":{"type":"string","uniqueKey":"schema.metadata.additionalProperties","typeLabel":"string"},"propertyNames":{"type":"string"},"uniqueKey":"schema.metadata","typeLabel":"object"}},"uniqueKey":"schema","typeLabel":"object"},"storage_options":{"type":"object","description":"Configuration options to be used to access storage. The available\noptions depend on the type of storage in use. These will be\npassed directly to Lance to initialize storage access.\nWhen `vend_credentials` is true, this field may include vended credentials.\nIf the vended credentials are temporary, the `expires_at_millis` key should be\nincluded to indicate the millisecond timestamp when the credentials expire.\n","additionalProperties":{"type":"string","uniqueKey":"storage_options.additionalProperties","typeLabel":"string"},"uniqueKey":"storage_options","typeLabel":"object"},"stats":{"oneOf":[{"type":"object","required":["num_deleted_rows","num_fragments"],"properties":{"num_deleted_rows":{"type":"integer","minimum":0,"description":"Number of deleted rows in the table","isRequired":true,"uniqueKey":"stats.oneOf.0.num_deleted_rows","typeLabel":"integer"},"num_fragments":{"type":"integer","minimum":0,"description":"Number of fragments in the table","isRequired":true,"uniqueKey":"stats.oneOf.0.num_fragments","typeLabel":"integer"}},"description":"Table statistics.\nOnly populated when `load_detailed_metadata` is true.\n","uniqueKey":"stats.oneOf.0","typeLabel":"object"},{"type":"null","required":["num_deleted_rows","num_fragments"],"properties":{"num_deleted_rows":{"type":"integer","minimum":0,"description":"Number of deleted rows in the table"},"num_fragments":{"type":"integer","minimum":0,"description":"Number of fragments in the table"}},"description":"Table statistics.\nOnly populated when `load_detailed_metadata` is true.\n","uniqueKey":"stats.oneOf.1","typeLabel":"null"}],"uniqueKey":"stats","typeLabel":"object | null"},"metadata":{"type":"object","description":"Optional table metadata as key-value pairs. This records the information of the table\nand requires loading the table.\nIt is only populated when `load_detailed_metadata` is true.\n","additionalProperties":{"type":"string","uniqueKey":"metadata.additionalProperties","typeLabel":"string"},"uniqueKey":"metadata","typeLabel":"object"},"properties":{"oneOf":[{"type":"object","description":"Properties stored on the table, if supported by the server. This records the information managed by the namespace. If the server does not support table properties, it should return null for this field. If table properties are supported, but none are set, it should return an empty object.","additionalProperties":{"type":"string","uniqueKey":"properties.oneOf.0.additionalProperties","typeLabel":"string"},"example":{"owner":"Ralph","created_at":"1452120468"},"default":{},"uniqueKey":"properties.oneOf.0","typeLabel":"object"},{"type":"null","description":"Properties stored on the table, if supported by the server. This records the information managed by the namespace. If the server does not support table properties, it should return null for this field. If table properties are supported, but none are set, it should return an empty object.","additionalProperties":{"type":"string","uniqueKey":"properties.oneOf.1.additionalProperties","typeLabel":"string"},"example":{"owner":"Ralph","created_at":"1452120468"},"default":{},"uniqueKey":"properties.oneOf.1","typeLabel":"null"}],"uniqueKey":"properties","typeLabel":"object | null"},"managed_versioning":{"type":"boolean","description":"When true, the caller should use namespace table version operations\n(CreateTableVersion, BatchCreateTableVersions, DescribeTableVersion, ListTableVersions, BatchDeleteTableVersions)\nto manage table versions instead of relying on Lance's native version management.\n","uniqueKey":"managed_versioning","typeLabel":"boolean"},"is_only_declared":{"oneOf":[{"type":"boolean","description":"When true, indicates that the table has been declared in the namespace\nbut not yet created on storage. This means the table exists in the\nnamespace but has no data files on the underlying storage.\nWhen false, the table has storage components (data and metadata files).\nWhen null, the implementation did not check whether the table is only\ndeclared. Clients should treat an omitted value as null. Implementations\nshould populate this field when `check_declared` is true or another\noption such as `load_detailed_metadata` requires checking declared-only\ntable state. Operations like describe_table with load_detailed_metadata=true\nmay fail for declared-only tables.\n","uniqueKey":"is_only_declared.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"When true, indicates that the table has been declared in the namespace\nbut not yet created on storage. This means the table exists in the\nnamespace but has no data files on the underlying storage.\nWhen false, the table has storage components (data and metadata files).\nWhen null, the implementation did not check whether the table is only\ndeclared. Clients should treat an omitted value as null. Implementations\nshould populate this field when `check_declared` is true or another\noption such as `load_detailed_metadata` requires checking declared-only\ntable state. Operations like describe_table with load_detailed_metadata=true\nmay fail for declared-only tables.\n","uniqueKey":"is_only_declared.oneOf.1","typeLabel":"null"}],"uniqueKey":"is_only_declared","typeLabel":"boolean | null"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"context":{},"table":"\u003cstring>","namespace":["\u003cstring>"],"version":1,"location":"\u003cstring>","table_uri":"\u003cstring>","schema":{"fields":[{"name":"\u003cstring>","nullable":true,"type":{"type":"\u003cstring>","fields":"\u003carray>","length":1},"metadata":{}}],"metadata":{}},"storage_options":{},"stats":{"num_deleted_rows":1,"num_fragments":1},"metadata":{},"properties":{"owner":"Ralph","created_at":"1452120468"},"managed_versioning":true,"is_only_declared":true}}},"exampleType":"generated"}},"exampleType":"generated"},"57757554-6dd6-48d6-a1e9-af5bc27566c2":{"description":"Indicates a bad request error. It could be caused by an unexpected request body format or other forms of request validation failure, such as invalid json. Usually serves application/json content, although in some cases simple text/plain content might be returned by the server's middleware.","content":{"application/json":{"schema":{"type":"object","description":"Common JSON error response model","required":["code"],"properties":{"code":{"type":"integer","minimum":0,"description":"Lance Namespace error code identifying the error type.\n\nError codes:\n 0 - Unsupported: Operation not supported by this backend\n 1 - NamespaceNotFound: The specified namespace does not exist\n 2 - NamespaceAlreadyExists: A namespace with this name already exists\n 3 - NamespaceNotEmpty: Namespace contains tables or child namespaces\n 4 - TableNotFound: The specified table does not exist\n 5 - TableAlreadyExists: A table with this name already exists\n 6 - TableIndexNotFound: The specified table index does not exist\n 7 - TableIndexAlreadyExists: A table index with this name already exists\n 8 - TableTagNotFound: The specified table tag does not exist\n 9 - TableTagAlreadyExists: A table tag with this name already exists\n 10 - TransactionNotFound: The specified transaction does not exist\n 11 - TableVersionNotFound: The specified table version does not exist\n 12 - TableColumnNotFound: The specified table field does not exist\n 13 - InvalidInput: Malformed request or invalid parameters\n 14 - ConcurrentModification: Optimistic concurrency conflict\n 15 - PermissionDenied: User lacks permission for this operation\n 16 - Unauthenticated: Authentication credentials are missing or invalid\n 17 - ServiceUnavailable: Service is temporarily unavailable\n 18 - Internal: Unexpected server/implementation error\n 19 - InvalidTableState: Table is in an invalid state for the operation\n 20 - TableSchemaValidationError: Table schema validation failed\n 21 - Throttling: Request rate limit exceeded\n 22 - TableBranchNotFound: The specified table branch does not exist\n 23 - TableBranchAlreadyExists: A table branch with this name already exists\n","example":4,"isRequired":true,"uniqueKey":"code","typeLabel":"integer"},"context":{"type":"object","description":"Arbitrary context as key-value pairs.\nHow to use the context is custom to the specific implementation.\n\nOn a request, it carries caller-provided context to the implementation.\nOn a response, it carries implementation-provided context back to the caller.\n\nREST NAMESPACE ONLY\nContext entries are mapped to and from HTTP headers using the `header.` prefix:\n- On a request, any entry whose key starts with `header.` is sent as an HTTP\n request header with the prefix stripped. For example, the entry\n `{\"header.Authorization\": \"Bearer abc\"}` is sent as the request header\n `Authorization: Bearer abc`.\n- On a response, every HTTP response header is returned as an entry whose key is the\n header name prefixed with `header.`. For example, the response header\n `x-request-id: abc123` is returned as the entry `{\"header.x-request-id\": \"abc123\"}`.\n","additionalProperties":{"type":"string","uniqueKey":"context.additionalProperties","typeLabel":"string"},"uniqueKey":"context","typeLabel":"object"},"error":{"type":"string","description":"A brief, human-readable message about the error.","example":"Table 'users' not found in namespace 'production'","uniqueKey":"error","typeLabel":"string"},"detail":{"type":"string","description":"An optional human-readable explanation of the error.\nThis can be used to record additional information such as stack trace.\n","example":"The table may have been dropped or renamed","uniqueKey":"detail","typeLabel":"string"},"instance":{"type":"string","description":"A string that identifies the specific occurrence of the error.\nThis can be a URI, a request or response ID,\nor anything that the implementation can recognize to trace specific occurrence of the error.\n","example":"/v1/table/production$users/describe","uniqueKey":"instance","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"example":{"type":"/errors/bad-request","title":"Malformed request","status":400,"detail":"","instance":"/v1/namespaces"},"examples":{"Example":{"title":"Example","value":{"type":"/errors/bad-request","title":"Malformed request","status":400,"detail":"","instance":"/v1/namespaces"}}},"exampleType":"examples"}},"exampleType":"examples"},"cf731806-6c9d-4c52-a97b-a26609bc48b1":{"description":"Unauthorized. The request lacks valid authentication credentials for the operation.","content":{"application/json":{"schema":{"type":"object","description":"Common JSON error response model","required":["code"],"properties":{"code":{"type":"integer","minimum":0,"description":"Lance Namespace error code identifying the error type.\n\nError codes:\n 0 - Unsupported: Operation not supported by this backend\n 1 - NamespaceNotFound: The specified namespace does not exist\n 2 - NamespaceAlreadyExists: A namespace with this name already exists\n 3 - NamespaceNotEmpty: Namespace contains tables or child namespaces\n 4 - TableNotFound: The specified table does not exist\n 5 - TableAlreadyExists: A table with this name already exists\n 6 - TableIndexNotFound: The specified table index does not exist\n 7 - TableIndexAlreadyExists: A table index with this name already exists\n 8 - TableTagNotFound: The specified table tag does not exist\n 9 - TableTagAlreadyExists: A table tag with this name already exists\n 10 - TransactionNotFound: The specified transaction does not exist\n 11 - TableVersionNotFound: The specified table version does not exist\n 12 - TableColumnNotFound: The specified table field does not exist\n 13 - InvalidInput: Malformed request or invalid parameters\n 14 - ConcurrentModification: Optimistic concurrency conflict\n 15 - PermissionDenied: User lacks permission for this operation\n 16 - Unauthenticated: Authentication credentials are missing or invalid\n 17 - ServiceUnavailable: Service is temporarily unavailable\n 18 - Internal: Unexpected server/implementation error\n 19 - InvalidTableState: Table is in an invalid state for the operation\n 20 - TableSchemaValidationError: Table schema validation failed\n 21 - Throttling: Request rate limit exceeded\n 22 - TableBranchNotFound: The specified table branch does not exist\n 23 - TableBranchAlreadyExists: A table branch with this name already exists\n","example":4,"isRequired":true,"uniqueKey":"code","typeLabel":"integer"},"context":{"type":"object","description":"Arbitrary context as key-value pairs.\nHow to use the context is custom to the specific implementation.\n\nOn a request, it carries caller-provided context to the implementation.\nOn a response, it carries implementation-provided context back to the caller.\n\nREST NAMESPACE ONLY\nContext entries are mapped to and from HTTP headers using the `header.` prefix:\n- On a request, any entry whose key starts with `header.` is sent as an HTTP\n request header with the prefix stripped. For example, the entry\n `{\"header.Authorization\": \"Bearer abc\"}` is sent as the request header\n `Authorization: Bearer abc`.\n- On a response, every HTTP response header is returned as an entry whose key is the\n header name prefixed with `header.`. For example, the response header\n `x-request-id: abc123` is returned as the entry `{\"header.x-request-id\": \"abc123\"}`.\n","additionalProperties":{"type":"string","uniqueKey":"context.additionalProperties","typeLabel":"string"},"uniqueKey":"context","typeLabel":"object"},"error":{"type":"string","description":"A brief, human-readable message about the error.","example":"Table 'users' not found in namespace 'production'","uniqueKey":"error","typeLabel":"string"},"detail":{"type":"string","description":"An optional human-readable explanation of the error.\nThis can be used to record additional information such as stack trace.\n","example":"The table may have been dropped or renamed","uniqueKey":"detail","typeLabel":"string"},"instance":{"type":"string","description":"A string that identifies the specific occurrence of the error.\nThis can be a URI, a request or response ID,\nor anything that the implementation can recognize to trace specific occurrence of the error.\n","example":"/v1/table/production$users/describe","uniqueKey":"instance","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"example":{"type":"/errors/unauthorized-request","title":"No valid authentication credentials for the operation","status":401,"detail":"","instance":"/v1/namespaces"},"examples":{"Example":{"title":"Example","value":{"type":"/errors/unauthorized-request","title":"No valid authentication credentials for the operation","status":401,"detail":"","instance":"/v1/namespaces"}}},"exampleType":"examples"}},"exampleType":"examples"},"0826a147-81ac-46dd-82d1-8b1351e8bfbc":{"description":"Forbidden. Authenticated user does not have the necessary permissions.","content":{"application/json":{"schema":{"type":"object","description":"Common JSON error response model","required":["code"],"properties":{"code":{"type":"integer","minimum":0,"description":"Lance Namespace error code identifying the error type.\n\nError codes:\n 0 - Unsupported: Operation not supported by this backend\n 1 - NamespaceNotFound: The specified namespace does not exist\n 2 - NamespaceAlreadyExists: A namespace with this name already exists\n 3 - NamespaceNotEmpty: Namespace contains tables or child namespaces\n 4 - TableNotFound: The specified table does not exist\n 5 - TableAlreadyExists: A table with this name already exists\n 6 - TableIndexNotFound: The specified table index does not exist\n 7 - TableIndexAlreadyExists: A table index with this name already exists\n 8 - TableTagNotFound: The specified table tag does not exist\n 9 - TableTagAlreadyExists: A table tag with this name already exists\n 10 - TransactionNotFound: The specified transaction does not exist\n 11 - TableVersionNotFound: The specified table version does not exist\n 12 - TableColumnNotFound: The specified table field does not exist\n 13 - InvalidInput: Malformed request or invalid parameters\n 14 - ConcurrentModification: Optimistic concurrency conflict\n 15 - PermissionDenied: User lacks permission for this operation\n 16 - Unauthenticated: Authentication credentials are missing or invalid\n 17 - ServiceUnavailable: Service is temporarily unavailable\n 18 - Internal: Unexpected server/implementation error\n 19 - InvalidTableState: Table is in an invalid state for the operation\n 20 - TableSchemaValidationError: Table schema validation failed\n 21 - Throttling: Request rate limit exceeded\n 22 - TableBranchNotFound: The specified table branch does not exist\n 23 - TableBranchAlreadyExists: A table branch with this name already exists\n","example":4,"isRequired":true,"uniqueKey":"code","typeLabel":"integer"},"context":{"type":"object","description":"Arbitrary context as key-value pairs.\nHow to use the context is custom to the specific implementation.\n\nOn a request, it carries caller-provided context to the implementation.\nOn a response, it carries implementation-provided context back to the caller.\n\nREST NAMESPACE ONLY\nContext entries are mapped to and from HTTP headers using the `header.` prefix:\n- On a request, any entry whose key starts with `header.` is sent as an HTTP\n request header with the prefix stripped. For example, the entry\n `{\"header.Authorization\": \"Bearer abc\"}` is sent as the request header\n `Authorization: Bearer abc`.\n- On a response, every HTTP response header is returned as an entry whose key is the\n header name prefixed with `header.`. For example, the response header\n `x-request-id: abc123` is returned as the entry `{\"header.x-request-id\": \"abc123\"}`.\n","additionalProperties":{"type":"string","uniqueKey":"context.additionalProperties","typeLabel":"string"},"uniqueKey":"context","typeLabel":"object"},"error":{"type":"string","description":"A brief, human-readable message about the error.","example":"Table 'users' not found in namespace 'production'","uniqueKey":"error","typeLabel":"string"},"detail":{"type":"string","description":"An optional human-readable explanation of the error.\nThis can be used to record additional information such as stack trace.\n","example":"The table may have been dropped or renamed","uniqueKey":"detail","typeLabel":"string"},"instance":{"type":"string","description":"A string that identifies the specific occurrence of the error.\nThis can be a URI, a request or response ID,\nor anything that the implementation can recognize to trace specific occurrence of the error.\n","example":"/v1/table/production$users/describe","uniqueKey":"instance","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"example":{"type":"/errors/forbidden-request","title":"Not authorized to make this request","status":403,"detail":"","instance":"/v1/namespaces"},"examples":{"Example":{"title":"Example","value":{"type":"/errors/forbidden-request","title":"Not authorized to make this request","status":403,"detail":"","instance":"/v1/namespaces"}}},"exampleType":"examples"}},"exampleType":"examples"},"4ab6126e-052f-419c-a967-d34c74de96a1":{"description":"A server-side problem that means can not find the specified resource.","content":{"application/json":{"schema":{"type":"object","description":"Common JSON error response model","required":["code"],"properties":{"code":{"type":"integer","minimum":0,"description":"Lance Namespace error code identifying the error type.\n\nError codes:\n 0 - Unsupported: Operation not supported by this backend\n 1 - NamespaceNotFound: The specified namespace does not exist\n 2 - NamespaceAlreadyExists: A namespace with this name already exists\n 3 - NamespaceNotEmpty: Namespace contains tables or child namespaces\n 4 - TableNotFound: The specified table does not exist\n 5 - TableAlreadyExists: A table with this name already exists\n 6 - TableIndexNotFound: The specified table index does not exist\n 7 - TableIndexAlreadyExists: A table index with this name already exists\n 8 - TableTagNotFound: The specified table tag does not exist\n 9 - TableTagAlreadyExists: A table tag with this name already exists\n 10 - TransactionNotFound: The specified transaction does not exist\n 11 - TableVersionNotFound: The specified table version does not exist\n 12 - TableColumnNotFound: The specified table field does not exist\n 13 - InvalidInput: Malformed request or invalid parameters\n 14 - ConcurrentModification: Optimistic concurrency conflict\n 15 - PermissionDenied: User lacks permission for this operation\n 16 - Unauthenticated: Authentication credentials are missing or invalid\n 17 - ServiceUnavailable: Service is temporarily unavailable\n 18 - Internal: Unexpected server/implementation error\n 19 - InvalidTableState: Table is in an invalid state for the operation\n 20 - TableSchemaValidationError: Table schema validation failed\n 21 - Throttling: Request rate limit exceeded\n 22 - TableBranchNotFound: The specified table branch does not exist\n 23 - TableBranchAlreadyExists: A table branch with this name already exists\n","example":4,"isRequired":true,"uniqueKey":"code","typeLabel":"integer"},"context":{"type":"object","description":"Arbitrary context as key-value pairs.\nHow to use the context is custom to the specific implementation.\n\nOn a request, it carries caller-provided context to the implementation.\nOn a response, it carries implementation-provided context back to the caller.\n\nREST NAMESPACE ONLY\nContext entries are mapped to and from HTTP headers using the `header.` prefix:\n- On a request, any entry whose key starts with `header.` is sent as an HTTP\n request header with the prefix stripped. For example, the entry\n `{\"header.Authorization\": \"Bearer abc\"}` is sent as the request header\n `Authorization: Bearer abc`.\n- On a response, every HTTP response header is returned as an entry whose key is the\n header name prefixed with `header.`. For example, the response header\n `x-request-id: abc123` is returned as the entry `{\"header.x-request-id\": \"abc123\"}`.\n","additionalProperties":{"type":"string","uniqueKey":"context.additionalProperties","typeLabel":"string"},"uniqueKey":"context","typeLabel":"object"},"error":{"type":"string","description":"A brief, human-readable message about the error.","example":"Table 'users' not found in namespace 'production'","uniqueKey":"error","typeLabel":"string"},"detail":{"type":"string","description":"An optional human-readable explanation of the error.\nThis can be used to record additional information such as stack trace.\n","example":"The table may have been dropped or renamed","uniqueKey":"detail","typeLabel":"string"},"instance":{"type":"string","description":"A string that identifies the specific occurrence of the error.\nThis can be a URI, a request or response ID,\nor anything that the implementation can recognize to trace specific occurrence of the error.\n","example":"/v1/table/production$users/describe","uniqueKey":"instance","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"example":{"type":"/errors/not-found-error","title":"Not found Error","status":404,"detail":"","instance":"/v1/namespaces/{ns}"},"examples":{"Example":{"title":"Example","value":{"type":"/errors/not-found-error","title":"Not found Error","status":404,"detail":"","instance":"/v1/namespaces/{ns}"}}},"exampleType":"examples"}},"exampleType":"examples"},"ba9d0153-2b07-43df-8a49-d85f699256b3":{"description":"The service is not ready to handle the request. The client should wait and retry. The service may additionally send a Retry-After header to indicate when to retry.","content":{"application/json":{"schema":{"type":"object","description":"Common JSON error response model","required":["code"],"properties":{"code":{"type":"integer","minimum":0,"description":"Lance Namespace error code identifying the error type.\n\nError codes:\n 0 - Unsupported: Operation not supported by this backend\n 1 - NamespaceNotFound: The specified namespace does not exist\n 2 - NamespaceAlreadyExists: A namespace with this name already exists\n 3 - NamespaceNotEmpty: Namespace contains tables or child namespaces\n 4 - TableNotFound: The specified table does not exist\n 5 - TableAlreadyExists: A table with this name already exists\n 6 - TableIndexNotFound: The specified table index does not exist\n 7 - TableIndexAlreadyExists: A table index with this name already exists\n 8 - TableTagNotFound: The specified table tag does not exist\n 9 - TableTagAlreadyExists: A table tag with this name already exists\n 10 - TransactionNotFound: The specified transaction does not exist\n 11 - TableVersionNotFound: The specified table version does not exist\n 12 - TableColumnNotFound: The specified table field does not exist\n 13 - InvalidInput: Malformed request or invalid parameters\n 14 - ConcurrentModification: Optimistic concurrency conflict\n 15 - PermissionDenied: User lacks permission for this operation\n 16 - Unauthenticated: Authentication credentials are missing or invalid\n 17 - ServiceUnavailable: Service is temporarily unavailable\n 18 - Internal: Unexpected server/implementation error\n 19 - InvalidTableState: Table is in an invalid state for the operation\n 20 - TableSchemaValidationError: Table schema validation failed\n 21 - Throttling: Request rate limit exceeded\n 22 - TableBranchNotFound: The specified table branch does not exist\n 23 - TableBranchAlreadyExists: A table branch with this name already exists\n","example":4,"isRequired":true,"uniqueKey":"code","typeLabel":"integer"},"context":{"type":"object","description":"Arbitrary context as key-value pairs.\nHow to use the context is custom to the specific implementation.\n\nOn a request, it carries caller-provided context to the implementation.\nOn a response, it carries implementation-provided context back to the caller.\n\nREST NAMESPACE ONLY\nContext entries are mapped to and from HTTP headers using the `header.` prefix:\n- On a request, any entry whose key starts with `header.` is sent as an HTTP\n request header with the prefix stripped. For example, the entry\n `{\"header.Authorization\": \"Bearer abc\"}` is sent as the request header\n `Authorization: Bearer abc`.\n- On a response, every HTTP response header is returned as an entry whose key is the\n header name prefixed with `header.`. For example, the response header\n `x-request-id: abc123` is returned as the entry `{\"header.x-request-id\": \"abc123\"}`.\n","additionalProperties":{"type":"string","uniqueKey":"context.additionalProperties","typeLabel":"string"},"uniqueKey":"context","typeLabel":"object"},"error":{"type":"string","description":"A brief, human-readable message about the error.","example":"Table 'users' not found in namespace 'production'","uniqueKey":"error","typeLabel":"string"},"detail":{"type":"string","description":"An optional human-readable explanation of the error.\nThis can be used to record additional information such as stack trace.\n","example":"The table may have been dropped or renamed","uniqueKey":"detail","typeLabel":"string"},"instance":{"type":"string","description":"A string that identifies the specific occurrence of the error.\nThis can be a URI, a request or response ID,\nor anything that the implementation can recognize to trace specific occurrence of the error.\n","example":"/v1/table/production$users/describe","uniqueKey":"instance","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"example":{"type":"/errors/service-unavailable","title":"Slow down","status":503,"detail":"","instance":"/v1/namespaces"},"examples":{"Example":{"title":"Example","value":{"type":"/errors/service-unavailable","title":"Slow down","status":503,"detail":"","instance":"/v1/namespaces"}}},"exampleType":"examples"}},"exampleType":"examples"},"467bdca4-0ca7-4fb4-bcec-7d2820a8aac0":{"description":"A server-side problem that might not be addressable from the client side. Used for server 5xx errors without more specific documentation in individual routes.","content":{"application/json":{"schema":{"type":"object","description":"Common JSON error response model","required":["code"],"properties":{"code":{"type":"integer","minimum":0,"description":"Lance Namespace error code identifying the error type.\n\nError codes:\n 0 - Unsupported: Operation not supported by this backend\n 1 - NamespaceNotFound: The specified namespace does not exist\n 2 - NamespaceAlreadyExists: A namespace with this name already exists\n 3 - NamespaceNotEmpty: Namespace contains tables or child namespaces\n 4 - TableNotFound: The specified table does not exist\n 5 - TableAlreadyExists: A table with this name already exists\n 6 - TableIndexNotFound: The specified table index does not exist\n 7 - TableIndexAlreadyExists: A table index with this name already exists\n 8 - TableTagNotFound: The specified table tag does not exist\n 9 - TableTagAlreadyExists: A table tag with this name already exists\n 10 - TransactionNotFound: The specified transaction does not exist\n 11 - TableVersionNotFound: The specified table version does not exist\n 12 - TableColumnNotFound: The specified table field does not exist\n 13 - InvalidInput: Malformed request or invalid parameters\n 14 - ConcurrentModification: Optimistic concurrency conflict\n 15 - PermissionDenied: User lacks permission for this operation\n 16 - Unauthenticated: Authentication credentials are missing or invalid\n 17 - ServiceUnavailable: Service is temporarily unavailable\n 18 - Internal: Unexpected server/implementation error\n 19 - InvalidTableState: Table is in an invalid state for the operation\n 20 - TableSchemaValidationError: Table schema validation failed\n 21 - Throttling: Request rate limit exceeded\n 22 - TableBranchNotFound: The specified table branch does not exist\n 23 - TableBranchAlreadyExists: A table branch with this name already exists\n","example":4,"isRequired":true,"uniqueKey":"code","typeLabel":"integer"},"context":{"type":"object","description":"Arbitrary context as key-value pairs.\nHow to use the context is custom to the specific implementation.\n\nOn a request, it carries caller-provided context to the implementation.\nOn a response, it carries implementation-provided context back to the caller.\n\nREST NAMESPACE ONLY\nContext entries are mapped to and from HTTP headers using the `header.` prefix:\n- On a request, any entry whose key starts with `header.` is sent as an HTTP\n request header with the prefix stripped. For example, the entry\n `{\"header.Authorization\": \"Bearer abc\"}` is sent as the request header\n `Authorization: Bearer abc`.\n- On a response, every HTTP response header is returned as an entry whose key is the\n header name prefixed with `header.`. For example, the response header\n `x-request-id: abc123` is returned as the entry `{\"header.x-request-id\": \"abc123\"}`.\n","additionalProperties":{"type":"string","uniqueKey":"context.additionalProperties","typeLabel":"string"},"uniqueKey":"context","typeLabel":"object"},"error":{"type":"string","description":"A brief, human-readable message about the error.","example":"Table 'users' not found in namespace 'production'","uniqueKey":"error","typeLabel":"string"},"detail":{"type":"string","description":"An optional human-readable explanation of the error.\nThis can be used to record additional information such as stack trace.\n","example":"The table may have been dropped or renamed","uniqueKey":"detail","typeLabel":"string"},"instance":{"type":"string","description":"A string that identifies the specific occurrence of the error.\nThis can be a URI, a request or response ID,\nor anything that the implementation can recognize to trace specific occurrence of the error.\n","example":"/v1/table/production$users/describe","uniqueKey":"instance","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"example":{"type":"/errors/server-error","title":"Internal Server Error","status":500,"detail":"","instance":"/v1/namespaces"},"examples":{"Example":{"title":"Example","value":{"type":"/errors/server-error","title":"Internal Server Error","status":500,"detail":"","instance":"/v1/namespaces"}}},"exampleType":"examples"}},"exampleType":"examples"}},"security":{"cab77f0f-a296-40e5-bb38-892775181914":{"OAuth2":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"/oauth/token","scopes":{}}},"scopes":[],"schemeName":"OAuth2"}},"4ef373e9-0a2b-4417-a4c5-e4009c27bf28":{"BearerAuth":{"type":"http","scheme":"bearer","scopes":[],"schemeName":"BearerAuth"}},"4e9cdb19-4cb2-4dae-8785-b73fa8569e8a":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key","scopes":[],"schemeName":"ApiKeyAuth"}}},"servers":{"a40665d1-8e67-4bdb-8175-f346b1fd5a7a":{"url":"http://localhost:2333","description":"Default local server"},"d7a67d71-70ea-46ed-bd7b-708a784bdb59":{"url":"{scheme}://{host}:{port}/{basePath}","description":"Generic server URL with all parts configurable","variables":{"scheme":{"default":"http"},"host":{"default":"localhost"},"port":{"default":"2333"},"basePath":{"default":""}}},"77b3bc50-020e-4478-93ea-269de6291b3d":{"url":"{scheme}://{host}/{basePath}","description":"Server URL when the port can be inferred from the scheme","variables":{"scheme":{"default":"http"},"host":{"default":"localhost"},"basePath":{"default":""}}}},"schemas":{"7d381df9-1850-4878-b563-b3118a77bc98":{"type":"object","description":"JSON representation of an Apache Arrow field.\n","required":["name","type","nullable"],"properties":{"name":{"type":"string","isRequired":true},"nullable":{"type":"boolean","isRequired":true},"type":{"type":"object","description":"JSON representation of an Apache Arrow DataType","required":["type"],"properties":{"type":{"type":"string","description":"The data type name","isRequired":true},"fields":{"type":"array","items":{"$circularRef":"7d381df9-1850-4878-b563-b3118a77bc98"},"description":"Fields for complex types like Struct, Union, etc."},"length":{"type":"integer","format":"int64","description":"Length for fixed-size types","minimum":0}},"isRequired":true},"metadata":{"type":"object","additionalProperties":{"type":"string"},"propertyNames":{"type":"string"}}}}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"/oauth/token","scopes":{}}},"scopes":[],"schemeName":"OAuth2"},"schema":{"title":"OAuth2 Auth","type":"string","isRequired":true,"description":"The access token received from the authorization server in the OAuth 2.0 flow.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"OAuth2","name":"Authorization"}],"title":"OAuth2"},{"schemes":[{"scheme":{"type":"http","scheme":"bearer","scopes":[],"schemeName":"BearerAuth"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"BearerAuth","name":"Authorization"}],"title":"BearerAuth"},{"schemes":[{"scheme":{"type":"apiKey","in":"header","name":"x-api-key","scopes":[],"schemeName":"ApiKeyAuth"},"schema":{"title":"x-api-key","type":"string","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"ApiKeyAuth","name":"x-api-key"}],"title":"ApiKeyAuth"}]},"originalFileLocation":"enterprise/v1-13-0/api-reference/rest/openapi.yaml"},"subdomain":"lancedb-bcbb4faf","siteName":"LanceDB","title":"Describe information of a table - LanceDB","navMaps":{"firstHrefInVersion":{"1.14.0":{"href":"/enterprise/v1-14-0/api-reference/rest/table/describe-information-of-a-table","matchLevel":1},"1.13.0":{"href":"/enterprise/v1-13-0/api-reference/rest/table/describe-information-of-a-table","matchLevel":0},"1.12.0":{"href":"/enterprise/v1-12-0/api-reference/rest/table/describe-information-of-a-table","matchLevel":1},"0.41.0":{"href":"/oss/v0-41-0","matchLevel":4}},"firstHrefInLanguage":{}},"lastModified":"2026-11-20T17:15:26.625Z","originalFileLocation":"enterprise/v1-13-0/api-reference/rest/table/describe-information-of-a-table.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Describe the detailed information for table id. REST NAMESPACE ONLY REST namespace passes with_table_uri, load_detailed_metadata, and check_declared as query parameters instead of in the request body.\">\u003cmeta data-mint-head name=\"application-name\" content=\"LanceDB\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/lancedb-bcbb4faf/AJCI1CXWoYDPZbb4/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/lancedb-bcbb4faf/AJCI1CXWoYDPZbb4/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/lancedb-bcbb4faf/AJCI1CXWoYDPZbb4/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/lancedb-bcbb4faf/AJCI1CXWoYDPZbb4/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/lancedb-bcbb4faf/AJCI1CXWoYDPZbb4/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/lancedb-bcbb4faf/AJCI1CXWoYDPZbb4/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/lancedb-bcbb4faf/AJCI1CXWoYDPZbb4/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/lancedb-bcbb4faf/AJCI1CXWoYDPZbb4/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/lancedb-bcbb4faf/AJCI1CXWoYDPZbb4/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Describe information of a table - LanceDB\">\u003cmeta data-mint-head property=\"og:description\" content=\"Describe the detailed information for table id. REST NAMESPACE ONLY REST namespace passes with_table_uri, load_detailed_metadata, and check_declared as query parameters instead of in the request body.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"LanceDB\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.lancedb.com/enterprise/v1-13-0/api-reference/rest/table/describe-information-of-a-table\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://lancedb-bcbb4faf.mintlify.site/_mintlify/api/og/v2?division=Table\u0026amp;title=Describe+information+of+a+table\u0026amp;description=Describe+the+detailed+information+for+table+%60id%60.%0A%0AREST+NAMESPACE+ONLY%0AREST+namespace+passes+%60with_table_uri%60%2C+%60load_detailed_metadata%60%2C+and+%60check_declared%60+as\u0026amp;theme=9d8045ca9469df4ceece463f\u0026amp;signature=c99ccac93231c17ea561bc70cc4fe830e906949656953369be8669fe4f5ce2a9\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Describe information of a table - LanceDB\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Describe the detailed information for table id. REST NAMESPACE ONLY REST namespace passes with_table_uri, load_detailed_metadata, and check_declared as query parameters instead of in the request body.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://lancedb-bcbb4faf.mintlify.site/_mintlify/api/og/v2?division=Table\u0026amp;title=Describe+information+of+a+table\u0026amp;description=Describe+the+detailed+information+for+table+%60id%60.%0A%0AREST+NAMESPACE+ONLY%0AREST+namespace+passes+%60with_table_uri%60%2C+%60load_detailed_metadata%60%2C+and+%60check_declared%60+as\u0026amp;theme=9d8045ca9469df4ceece463f\u0026amp;signature=c99ccac93231c17ea561bc70cc4fe830e906949656953369be8669fe4f5ce2a9\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/lancedb-bcbb4faf/AJCI1CXWoYDPZbb4/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"LanceDB\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#FF6B35\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.lancedb.com/enterprise/v1-13-0/api-reference/rest/table/describe-information-of-a-table\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/enterprise/v1-13-0/api-reference/rest/table/describe-information-of-a-table.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.lancedb.com/#organization\",\"name\":\"LanceDB\",\"url\":\"https://docs.lancedb.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/lancedb-bcbb4faf/6L0IRVkfdlgMU1Pw/static/assets/logo/dark-lancedb-logo.svg?fit=max\u0026auto=format\u0026n=6L0IRVkfdlgMU1Pw\u0026q=85\u0026s=d0592e59a29df2477080a857e13e341f\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.lancedb.com#website\",\"name\":\"LanceDB\",\"url\":\"https://docs.lancedb.com\",\"publisher\":{\"@id\":\"https://docs.lancedb.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.lancedb.com/enterprise/v1-13-0/api-reference/rest/table/describe-information-of-a-table#webpage\",\"url\":\"https://docs.lancedb.com/enterprise/v1-13-0/api-reference/rest/table/describe-information-of-a-table\",\"name\":\"Describe information of a table\",\"description\":\"Describe the detailed information for table id. REST NAMESPACE ONLY REST namespace passes with_table_uri, load_detailed_metadata, and check_declared as query parameters instead of in the request body.\",\"dateModified\":\"2026-11-20T17:15:26.625Z\",\"isPartOf\":{\"@id\":\"https://docs.lancedb.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.lancedb.com/enterprise/v1-13-0/api-reference/rest/table/describe-information-of-a-table#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.lancedb.com/enterprise/v1-13-0/api-reference/rest/table/describe-information-of-a-table#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"REST API\",\"item\":\"https://docs.lancedb.com/enterprise/v1-13-0/api-reference/rest\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Table\",\"item\":\"https://docs.lancedb.com/enterprise/v1-13-0/api-reference/rest/table/list-all-tables\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Describe information of a table\",\"item\":\"https://docs.lancedb.com/enterprise/v1-13-0/api-reference/rest/table/describe-information-of-a-table\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.lancedb.com/enterprise/v1-13-0/api-reference/rest/table/describe-information-of-a-table#apireference\",\"headline\":\"Describe information of a table\",\"name\":\"Describe information of a table\",\"description\":\"Describe the detailed information for table id. REST NAMESPACE ONLY REST namespace passes with_table_uri, load_detailed_metadata, and check_declared as query parameters instead of in the request body.\",\"url\":\"https://docs.lancedb.com/enterprise/v1-13-0/api-reference/rest/table/describe-information-of-a-table\",\"mainEntityOfPage\":{\"@id\":\"https://docs.lancedb.com/enterprise/v1-13-0/api-reference/rest/table/describe-information-of-a-table#webpage\"},\"dateModified\":\"2026-11-20T17:15:26.625Z\",\"publisher\":{\"@id\":\"https://docs.lancedb.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.lancedb.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"LanceDB\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"LanceDB\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/enterprise/v1-13-0/api-reference/rest/table/describe-information-of-a-table.md","siteName":"LanceDB","nav":{"global":null,"products":[{"product":"Enterprise","icon":"server","description":"Multimodal lakehouse","versions":[{"version":"1.14.0","default":true,"tag":"Latest","pages":[{"title":"1.14.0","href":"/enterprise/v1-14-0/api-reference/rest/table/describe-information-of-a-table"}]},{"version":"1.13.0","tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":"/enterprise/v1-13-0"}]},{"tab":"Integrations","pages":[{"title":"Integrations","href":"/enterprise/v1-13-0/integrations"}]},{"tab":"Tutorials","pages":[{"title":"Tutorials","href":"/enterprise/v1-13-0/tutorials"}]},{"tab":"Demos","pages":[{"title":"Demos","href":"/enterprise/v1-13-0/demos"}]},{"tab":"Datasets","pages":[{"title":"Datasets","href":"/enterprise/v1-13-0/datasets"}]},{"tab":"API Reference","groups":[{"group":"REST API","pages":[{"title":"REST API Reference","sidebarTitle":"Overview","href":"/enterprise/v1-13-0/api-reference/rest"},{"group":"Namespace","pages":[{"title":"Create a new namespace","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/namespace/{id}/create","href":"/enterprise/v1-13-0/api-reference/rest/namespace/create-a-new-namespace"},{"title":"List namespaces","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml get /v1/namespace/{id}/list","href":"/enterprise/v1-13-0/api-reference/rest/namespace/list-namespaces"},{"title":"Describe a namespace","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/namespace/{id}/describe","href":"/enterprise/v1-13-0/api-reference/rest/namespace/describe-a-namespace"},{"title":"Drop a namespace","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/namespace/{id}/drop","href":"/enterprise/v1-13-0/api-reference/rest/namespace/drop-a-namespace"},{"title":"Check if a namespace exists","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/namespace/{id}/exists","href":"/enterprise/v1-13-0/api-reference/rest/namespace/check-if-a-namespace-exists"},{"title":"List tables in a namespace","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml get /v1/namespace/{id}/table/list","href":"/enterprise/v1-13-0/api-reference/rest/namespace/list-tables-in-a-namespace"}]},{"group":"Table","pages":[{"title":"List all tables","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml get /v1/table","href":"/enterprise/v1-13-0/api-reference/rest/table/list-all-tables"},{"title":"Register a table to a namespace","description":"Register an existing table at a given storage location as `id`.\n","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/register","href":"/enterprise/v1-13-0/api-reference/rest/table/register-a-table-to-a-namespace"},{"title":"Describe information of a table","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/describe","href":"/enterprise/v1-13-0/api-reference/rest/table/describe-information-of-a-table"},{"title":"Check if a table exists","description":"Check if table `id` exists.\n\nThis operation should behave exactly like DescribeTable,\nexcept it does not contain a response body.\n\nREST NAMESPACE ONLY\nREST namespace conveys the result through the HTTP status code with no response body.\nThe REST response maps to the `TableExistsResponse` model as follows:\n- a `200` response means the table exists; a `404` response means it does not\n- response headers map to `context` via the `header.` prefix (see the `Context` schema)\n\nFor DirectoryNamespace implementation, a table exists if either:\n- The table has Lance data versions (regular table created with CreateTable)\n- A `.lance-reserved` file exists in the table directory (declared table created with DeclareTable)\n","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/exists","href":"/enterprise/v1-13-0/api-reference/rest/table/check-if-a-table-exists"},{"title":"Drop a table","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/drop","href":"/enterprise/v1-13-0/api-reference/rest/table/drop-a-table"},{"title":"Deregister a table","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/deregister","href":"/enterprise/v1-13-0/api-reference/rest/table/deregister-a-table"},{"title":"Restore table to a specific version","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/restore","href":"/enterprise/v1-13-0/api-reference/rest/table/restore-table-to-a-specific-version"},{"title":"Rename a table","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/rename","href":"/enterprise/v1-13-0/api-reference/rest/table/rename-a-table"},{"title":"Update table schema metadata","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/schema_metadata/update","href":"/enterprise/v1-13-0/api-reference/rest/table/update-table-schema-metadata"},{"title":"List all versions of a table","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/version/list","href":"/enterprise/v1-13-0/api-reference/rest/table/list-all-versions-of-a-table"},{"title":"Create a new table version","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/version/create","href":"/enterprise/v1-13-0/api-reference/rest/table/create-a-new-table-version"},{"title":"Describe a specific table version","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/version/describe","href":"/enterprise/v1-13-0/api-reference/rest/table/describe-a-specific-table-version"},{"title":"Delete table version records","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/version/delete","href":"/enterprise/v1-13-0/api-reference/rest/table/delete-table-version-records"},{"title":"Atomically create versions for multiple tables","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/version/batch-create","href":"/enterprise/v1-13-0/api-reference/rest/table/atomically-create-versions-for-multiple-tables"},{"title":"Atomically commit a batch of mixed table operations","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/batch-commit","href":"/enterprise/v1-13-0/api-reference/rest/table/atomically-commit-a-batch-of-mixed-table-operations"},{"title":"Modify existing columns","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/alter_columns","href":"/enterprise/v1-13-0/api-reference/rest/table/modify-existing-columns"},{"title":"Update per-field metadata","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/update_field_metadata","href":"/enterprise/v1-13-0/api-reference/rest/table/update-per-field-metadata"},{"title":"Remove columns from table","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/drop_columns","href":"/enterprise/v1-13-0/api-reference/rest/table/remove-columns-from-table"},{"title":"Get table statistics","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/stats","href":"/enterprise/v1-13-0/api-reference/rest/table/get-table-statistics"},{"title":"Insert records into a table","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/insert","href":"/enterprise/v1-13-0/api-reference/rest/table/insert-records-into-a-table"},{"title":"Merge insert (upsert) records into a table","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/merge_insert","href":"/enterprise/v1-13-0/api-reference/rest/table/merge-insert-upsert-records-into-a-table"},{"title":"Update rows in a table","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/update","href":"/enterprise/v1-13-0/api-reference/rest/table/update-rows-in-a-table"},{"title":"Delete rows from a table","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/delete","href":"/enterprise/v1-13-0/api-reference/rest/table/delete-rows-from-a-table"},{"title":"Query a table","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/query","href":"/enterprise/v1-13-0/api-reference/rest/table/query-a-table"},{"title":"Count rows in a table","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/count_rows","href":"/enterprise/v1-13-0/api-reference/rest/table/count-rows-in-a-table"},{"title":"Create a table with the given name","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/create","href":"/enterprise/v1-13-0/api-reference/rest/table/create-a-table-with-the-given-name"},{"title":"Get query execution plan explanation","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/explain_plan","href":"/enterprise/v1-13-0/api-reference/rest/table/get-query-execution-plan-explanation"},{"title":"Analyze query execution plan","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/analyze_plan","href":"/enterprise/v1-13-0/api-reference/rest/table/analyze-query-execution-plan"},{"title":"Add new columns to table schema","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/add_columns","href":"/enterprise/v1-13-0/api-reference/rest/table/add-new-columns-to-table-schema"},{"title":"Trigger an async column backfill job","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/backfill_column","href":"/enterprise/v1-13-0/api-reference/rest/table/trigger-an-async-column-backfill-job"},{"title":"Create an index on a table","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/create_index","href":"/enterprise/v1-13-0/api-reference/rest/table/create-an-index-on-a-table"},{"title":"Create a scalar index on a table","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/create_scalar_index","href":"/enterprise/v1-13-0/api-reference/rest/table/create-a-scalar-index-on-a-table"},{"title":"List indexes on a table","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/index/list","href":"/enterprise/v1-13-0/api-reference/rest/table/list-indexes-on-a-table"},{"title":"Get table index statistics","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/index/{index_name}/stats","href":"/enterprise/v1-13-0/api-reference/rest/table/get-table-index-statistics"},{"title":"Drop a specific index","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/index/{index_name}/drop","href":"/enterprise/v1-13-0/api-reference/rest/table/drop-a-specific-index"},{"title":"List all tags for a table","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/tags/list","href":"/enterprise/v1-13-0/api-reference/rest/table/list-all-tags-for-a-table"},{"title":"Get version for a specific tag","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/tags/version","href":"/enterprise/v1-13-0/api-reference/rest/table/get-version-for-a-specific-tag"},{"title":"Declare a table","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/declare","href":"/enterprise/v1-13-0/api-reference/rest/table/declare-a-table"},{"title":"Create a new tag","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/tags/create","href":"/enterprise/v1-13-0/api-reference/rest/table/create-a-new-tag"},{"title":"Delete a tag","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/tags/delete","href":"/enterprise/v1-13-0/api-reference/rest/table/delete-a-tag"},{"title":"Update a tag to point to a different version","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/tags/update","href":"/enterprise/v1-13-0/api-reference/rest/table/update-a-tag-to-point-to-a-different-version"},{"title":"List all branches for a table","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/branches/list","href":"/enterprise/v1-13-0/api-reference/rest/table/list-all-branches-for-a-table"},{"title":"Create a new branch","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/branches/create","href":"/enterprise/v1-13-0/api-reference/rest/table/create-a-new-branch"},{"title":"Delete a branch","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/table/{id}/branches/delete","href":"/enterprise/v1-13-0/api-reference/rest/table/delete-a-branch"}]},{"group":"MaterializedView","pages":[{"title":"Trigger an async materialized view refresh","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/materialized_view/{id}/refresh","href":"/enterprise/v1-13-0/api-reference/rest/materializedview/trigger-an-async-materialized-view-refresh"},{"title":"Create a materialized view","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/materialized_view/{id}/create","href":"/enterprise/v1-13-0/api-reference/rest/materializedview/create-a-materialized-view"}]},{"group":"Transaction","pages":[{"title":"Describe information about a transaction","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/transaction/{id}/describe","href":"/enterprise/v1-13-0/api-reference/rest/transaction/describe-information-about-a-transaction"},{"title":"Alter information of a transaction.","deprecated":null,"version":null,"openapi":"/enterprise/v1-13-0/api-reference/rest/openapi.yaml post /v1/transaction/{id}/alter","href":"/enterprise/v1-13-0/api-reference/rest/transaction/alter-information-of-a-transaction"}]}]},{"group":"SDK references","pages":[{"title":"Python","icon":"python","url":"https://lancedb.github.io/lancedb/python/python/","href":"/enterprise/v1-13-0/api-reference/sdk/python"},{"title":"TypeScript","icon":"square-js","url":"https://lancedb.github.io/lancedb/js/","href":"/enterprise/v1-13-0/api-reference/sdk/typescript"},{"title":"Rust","icon":"rust","url":"https://docs.rs/lancedb/latest/lancedb/index.html","href":"/enterprise/v1-13-0/api-reference/sdk/rust"}]}]}]},{"version":"1.12.0","pages":[{"title":"1.12.0","href":"/enterprise/v1-12-0/api-reference/rest/table/describe-information-of-a-table"}]}]},{"product":"Embedded","icon":"database","description":"Open-source library","pages":[{"title":"Embedded","href":"/oss/v0-41-0"}]}]},"basePath":"","title":"Describe information of a table - LanceDB","deploymentId":"dpl_vSEmv961Ncyvz1psVwgUnTXQMSYk","buildId":"dpl_vSEmv961Ncyvz1psVwgUnTXQMSYk","dynamics":["10e4515597","c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["BannerMarkdown-DnSAhvaM.js","dist-DIfYWxfm.js","lib-DMeTj1gb.js","lib-B8HbPgcC.js","katex-Dbtb6Wk7.js","html-void-elements-mCSPHezU.js","marked.esm-CZWythHk.js","OpenApiReferenceProvider-CrDfRf61.js","snippetPresets-Dv-cOUrx.js","utils-BUTreAgv.js","style-to-object-BY3JEAdk.js","utils-wsznt9RM.js","v4-DIgz8zy6.js","addUniqueKeysToSchema-DEsMlaPy.js","conditional-requirements-CFM0id0Q.js","cloneDeep-DontW4xJ.js","_Uint8Array-pP7X6_RM.js","isObject-FP1Yky1u.js","ApiExamples-CU_aGGP0.js","usePlaygroundInputsStore-7dNmUIbS.js","shallow-fTtruD8x.js","isEqual-BRfNFpSD.js","CodeSnippets-52884wUJ.js","CodeSnippet-eoRjC4Le.js","getApiPlaygroundDisplay-CZyAPlR2.js","Page-Cr9IwkK7.js","DynamicMarkdown-NFqqduU7.js","SectionHeading-DQ-mJoAt.js","icon-DXTBUt6s.js","MethodPill-2v-b3js5.js","getPastedJson-v_8Y1_4v.js","DuplicateIcon-DXIkhZIo.js","createIcon-DRpYuPZs.js","axios-CsQoIw0U.js","Markdown-CwtoSfEf.js","AssistantPageLink-CTqa3eoi.js"]}